<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.xy</groupId>
    <artifactId>xy-authorize</artifactId>
    <version>1.0</version>
    <modules>
        <module>authorize-api</module>
        <module>authorize-api-cloud</module>
        <module>authorize-api-service</module>
        <module>authorize-start</module>
        <module>authorize-sdk</module>
    </modules>
    <packaging>pom</packaging>

    <dependencies>
        <dependency>
            <groupId>com.xy</groupId>
            <artifactId>nacos</artifactId>
            <version>1.0</version>
        </dependency>
    </dependencies>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.xy</groupId>
                <artifactId>xy-cloud</artifactId>
                <version>1.0</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <!-- 下载 -->
    <repositories>
        <repository>
            <id>release</id>
            <name>release</name>
            <url>http://119.96.213.127:9013/maven/release</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <!-- 上传 -->
    <distributionManagement>
        <repository>
            <id>release</id>
            <name>release</name>
            <url>http://119.96.213.127:9013/maven/release</url>
        </repository>
    </distributionManagement>
</project>